Package org.apache.batchee.container.impl

## Class JobContextImpl

- java.lang.Object
- - org.apache.batchee.container.impl.JobContextImpl

- All Implemented Interfaces:
    `javax.batch.runtime.context.JobContext`

      public class JobContextImpl
      extends Object
      implements javax.batch.runtime.context.JobContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `restartOn` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobContextImpl​(ModelNavigator<JSLJob> navigator, JSLProperties jslProperties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `long` | `getExecutionId()` |
    `String` | `getExitStatus()` |
    `long` | `getInstanceId()` |
    `String` | `getJobName()` |
    `ModelNavigator<JSLJob>` | `getNavigator()` |
    `Properties` | `getProperties()` |
    `String` | `getRestartOn()` |
    `Object` | `getTransientUserData()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setExecutionId​(long executionId)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setInstanceId​(long instanceId)` |
    `void` | `setJobName​(String jobName)` |
    `void` | `setRestartOn​(String restartOn)` |
    `void` | `setTransientUserData​(Object data)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### restartOn

          protected String restartOn

  - ### Constructor Detail

    - #### JobContextImpl

          public JobContextImpl​(ModelNavigator<JSLJob> navigator,
                                JSLProperties jslProperties)

  - ### Method Detail

    - #### getNavigator

          public ModelNavigator<JSLJob> getNavigator()

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.context.JobContext`

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

      Specified by:
        `setExitStatus` in interface `javax.batch.runtime.context.JobContext`

    - #### getJobName

          public String getJobName()

      Specified by:
        `getJobName` in interface `javax.batch.runtime.context.JobContext`

    - #### setJobName

          public void setJobName​(String jobName)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.context.JobContext`

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getTransientUserData

          public Object getTransientUserData()

      Specified by:
        `getTransientUserData` in interface `javax.batch.runtime.context.JobContext`

    - #### getProperties

          public Properties getProperties()

      Specified by:
        `getProperties` in interface `javax.batch.runtime.context.JobContext`

    - #### setTransientUserData

          public void setTransientUserData​(Object data)

      Specified by:
        `setTransientUserData` in interface `javax.batch.runtime.context.JobContext`

    - #### getExecutionId

          public long getExecutionId()

      Specified by:
        `getExecutionId` in interface `javax.batch.runtime.context.JobContext`

    - #### getInstanceId

          public long getInstanceId()

      Specified by:
        `getInstanceId` in interface `javax.batch.runtime.context.JobContext`

    - #### setExecutionId

          public void setExecutionId​(long executionId)

    - #### setInstanceId

          public void setInstanceId​(long instanceId)

    - #### getRestartOn

          public String getRestartOn()

    - #### setRestartOn

          public void setRestartOn​(String restartOn)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`